Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class ConnectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.transport.ConnectException

All Implemented Interfaces:
  Serializable

    public class ConnectException

extends MuleException

When this exception is thrown it will trigger a retry (reconnection) policy to go into effect if one is configured.

See Also:
  Serialized Form

Constructor Summary
`ConnectException(Message message, Connectable failed)`
`ConnectException(Message message, Throwable cause, Connectable failed)`
`ConnectException(Throwable cause, Connectable failed)`

Method Summary
`Connectable` | `getFailed()`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectException

    public ConnectException(Message message,
                            Connectable failed)

### ConnectException

    public ConnectException(Message message,
                            Throwable cause,
                            Connectable failed)

### ConnectException

    public ConnectException(Throwable cause,
                            Connectable failed)

Method Detail

### getFailed

    public Connectable getFailed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.